:root {
	--offset: 30px;
	--duration: 1s;
	--delay: 0.3s;
	--shift: 130%;
}

.mavic_transition .mavic__img {
	transition-duration: var(--duration);
}

.mavic_transition::before,
.mavic_transition::after {
	position: absolute;
	top: 50%;
	left: 50%;

	opacity: 0;
	transition-duration: var(--duration);
}

.mavic_transition::before {
	content: url('../img/iphone-back.png');
	transform: translate(calc(-50% - var(--offset)), var(--shift)) rotate(-10deg);
}

.mavic_transition::after {
	content: url('../img/iphone-front.png');
	transform: translate(calc(-50% + var(--offset)), var(--shift)) rotate(10deg);
}

.mavic_transition:hover .mavic__img {
	opacity: 0;
	transform: translateY(calc(var(--shift) * -1)) scale(0) rotate(-45deg);
}

.mavic_transition:hover::before,
.mavic_transition:hover::after {
	opacity: 1;
}

.mavic_transition:hover::before {
	transform: translate(calc(-50% - var(--offset)), -50%) rotate(0deg);
}

.mavic_transition:hover::after {
	transform: translate(calc(-50% + var(--offset)), -50%) rotate(0deg);
}
